/* Estilo base del botón */
button.mat-button {
    font-family: 'Arial', sans-serif; /* Puedes cambiar la fuente si lo prefieres */
    background-color: #673AB7; /* Color base del botón */
    color: white; /* Color del texto del botón */
    border: none;
    border-radius: 30px; /* Bordes redondeados */
    padding: 12px 25px; /* Espaciado interno del botón */
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2); /* Sombra para darle profundidad */
    cursor: pointer;
    outline: none; /* Elimina el borde azul al hacer clic en navegadores como Chrome */
    position: relative; /* Para la animación */
    overflow: hidden; /* Para la animación */
    transform: translateY(0); /* Posición inicial */
    transition: transform 0.2s ease; /* Transición suave */
}

/* Efecto hover */
button.mat-button:hover {
    transform: translateY(-5px); /* El botón se eleva ligeramente al pasar el cursor por encima */
}

/* Animación del efecto de onda al pasar el cursor por encima */
button.mat-button::before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(255, 255, 255, 0.1); /* Un sutil resplandor blanco */
    opacity: 0;
    pointer-events: none;
    transform: scale(0);
    transition: opacity 0.5s, transform 0.5s;
}

button.mat-button:hover::before {
    opacity: 1;
    transform: scale(1);
}
